<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>
<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<HTML>
<HEAD>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
<xsl:apply-templates select="META-TAGS"/>
<link href="css/styles.css" rel="stylesheet" type="text/css" />
</HEAD>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table border="0" cellpadding="0" cellspacing="0" class="main-bg" style="width: 100%; height: 100%;">
<tr>
    <td height="63" colspan="2" align="right"  background="images/av173_15.gif" >  <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="63" align="center" style="background-image: url(images/av173_17.gif); background-repeat:no-repeat; background-position:bottom right"><table  border="0" cellpadding="0" cellspacing="0" height="100%">
      <tr>
      <xsl:call-template name="TOP-MENU"/>
        </tr>
    </table>    </td>
        </tr>
      </table></td>
  </tr>
<tr valign="top">
    <td width="100%" height="183"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="532"><img src="images/av173_19.jpg" width="532" height="183"/></td>
        <td background="images/av173_21.gif"><div style="width:20px"><span></span></div></td>
        
      </tr>
    </table></td>
    <td height="183" style="background-image:url(images/av173_23.gif);background-position:left top;background-repeat:no-repeat;">
	<table width="220"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="2" style="padding-top:30px"><img src="images/av173_24.gif" width="2" height="153"/></td>
        <td width="218" align="center" background="images/av173_26.gif" style="background-position:bottom;background-repeat:repeat-x;">
	<table width="200" cellpadding="0" cellspacing="0">
          <tr>
            <td align="center" style="padding-bottom:10px"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          </tr>
          <tr>
            <td align="center"  class="logoword" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="center"  class="logo"  valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
</tr>
<tr>
    <td valign="top" background="images/av173_36.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top" class="pageContent" style="padding:20px " align="left"><!-- CONTENT -->
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td class="text-header" style="padding-left:15px;"><img src="images/av173_44.gif"/></td>
              </tr>
            </table>
			<br/>
           
           <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>

                      <!-- END CONTENT --></td>
      </tr>
    </table></td>
    <td background="images/av173_39.gif"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="1" class="tdline"><div style="width:1px"><span></span></div></td>
        <td width="218" style="padding-right:20px; padding-top:20px" valign="top">
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>         
        </table></td>
      </tr>
    </table></td>
</tr>
<tr>
    <td  height="58" class="tailbg1" style="background-image:url(images/av173_56.gif); background-repeat: repeat-x; background-position:top " align="right" ><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><table cellpadding="0" cellspacing="0" align="center">
            <tr>
              
<xsl:call-template name="BOTTOM-MENU"/>
            </tr>
          </table></td>
          <td width="1" style="background-image:url(images/av173_61.gif);  background-position:top; height:58px; width:1px "><div style="width:1px " ><span></span></div> </td>
        </tr>
      </table></td>
    <td height="58"><table   border="0" cellpadding="0" cellspacing="0" height="100%">
      <tr>
        <td width="1" class="tdline"><div style="width:1px" ><span></span></div></td>
         <td width="1"  style="background-image:url(images/av173_61.gif);  background-position:top " > <div style="width:1px"><span></span></div></td>
		<td width="217"  class="tailbg" style="background-image:url(images/av173_59.gif); background-repeat: repeat-x; background-position:top " >
		<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td class="copyright" align="center">
<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                </tr>
            </table></td>
      </tr>
    </table></td>
</tr>
</table>
</BODY>
</HTML>
</xsl:template>
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
      <tr>
      	  <td class="submenu" style="padding:10px 0 10px 30px"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td align="right"><img src="images/av173_47.gif" /></td>
	   	   	</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
      <tr>
      	    <td style="padding:10px 0 10px 30px"><a href="{@HREF}" class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td align="right"><img src="images/av173_47.gif"/></td>
				 </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
      <tr>
        <td height="1" style="background-image:url(images/av173_52.gif) " ></td>
        <td height="1" style="background-image:url(images/av173_52.gif) " ></td>
      </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >       
	   <td valign="middle" class="iconfoot" style="padding:0 10px"><img src="images/av173_64.gif" alt="" /></td>
        <td valign="middle"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
                 <td valign="middle" class="iconfoot" style="padding:0 10px"><img src="images/av173_64.gif" alt="" /></td>
              <td valign="middle" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		   </xsl:when>
           <xsl:otherwise>
       <td valign="middle" class="iconfoot" style="padding:0 10px"><img src="images/av173_64.gif" alt="" /></td>
        <td valign="middle"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
         		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
