<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px; background-image: url(images/textdi.gif);">
<table  width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/textdi.gif">
  <tr>
    <td >
<table style="background-image: url(images/diwen2.gif);background-repeat: repeat-x;" width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td >
	<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" >
        <tr>
          <td><img src="spacer.gif" width="240" height="1" border="0" /></td>
          <td><img src="spacer.gif" width="520" height="1" border="0" /></td>
        </tr>
        <tr>
          <td height="49" colspan="2" background="images/bulletxun.gif">
		  <table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="30"></td>
<xsl:call-template name="TOP-MENU"/>
                <td width="300"></td>
              </tr>
          </table></td>
        </tr>
        <tr>
          <td valign="middle" style="background-image: url(images/logodi.gif); background-repeat: repeat-y; background-position: right top; " >
		  <table width="200"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="25" rowspan="2"></td>
                <td width="50" rowspan="2" valign="middle"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                <td height="100" valign="bottom" class="logo"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td height="92" align="left" valign="top" class="logox"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
          </table></td>
          <td  valign="top" background="images/headerxun.gif"><img src="images/header.gif" width="537" height="321"/></td>
        </tr>
        <tr>
          <td valign="top">
		  <table width="187" border="0" cellspacing="0" cellpadding="0">
              <tr align="left">
                <td height="20" colspan="4" ></td>
              </tr>
              <tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
              </tr>
              <tr>
                <td height="20" colspan="4" align="center" ></td>
              </tr>
          </table></td>
          <td align="left" valign="top" background="images/textdi.gif" width="100%" height="100%">
		  <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" >
              <tr>
                <td colspan="2" align="left" valign="top" >
				<table height="21" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td width="15" height="21"></td>
                      <td><span class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                      <td><img src="images/text.gif" hspace="3"/></td>
                    </tr>
                  </table>
				  </td>
              </tr>
              <tr >
                <td valign="top"  class="pageContent" style="padding:10px 15px;"><table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>            
                <td width="97" valign="top">
				<table width="97" border="0" cellspacing="0" cellpadding="0">
                           <tr>
                             <td></td>
                           </tr>
                         </table></td>
              </tr>
          </table></td>
        </tr>
        <tr >
          <td height="5" colspan="2" ></td>
        </tr>
        <tr align="center" valign="bottom" >
          <td height="50" colspan="2" background="images/bobullet1.gif" >
		  <table border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="130"></td>
<xsl:call-template name="BOTTOM-MENU"/>
              <td width="150"></td>
            </tr>
          </table></td>
        </tr>
        <tr align="center" valign="bottom" >
          <td height="30" colspan="2">
		  <table border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td class="bot_menu"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
            </tr>
          </table></td>
        </tr>
        <tr >
          <td height="25" colspan="2"></td>
        </tr>
    </table></td>
  </tr>
</table>
</td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
                <td width="47" align="right" class="iconleft" ><img src="images/subbullet.gif" width="6" height="5"/></td>
                <td width="140" colspan="2" ><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
                <td width="47" align="right" class="iconleft" ><img src="images/subbullet.gif" width="6" height="5"/></td>
                <td colspan="2" ><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td class="iconfoot"><img src="images/bobullet.gif" width="1" height="8"/></td>
<td align="left"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="iconfoot"><img src="images/bobullet.gif" width="1" height="8"/></td>
<td align="left"><span class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>

<td class="iconfoot"><img src="images/bobullet.gif" width="1" height="8"/></td>
<td align="left"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
