<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
                 <tr>
				 <td></td>
                  <td class="menu" style="padding-top: 8px;padding-bottom: 8px; padding-left: 8px;padding-right: 8px;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				 <td colspan="2"><img src="images/bullet.gif"/></td>
				 <td></td>
				</tr>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			     <tr>
                  <td></td>
                  <td class="menua" style="padding-top: 8px;padding-bottom: 8px; padding-left: 8px;padding-right: 8px;"><div align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
                  <td colspan="2"><img src="images/bullet.gif"/></td>
                  <td></td>
                </tr>
            </xsl:when>
            <xsl:otherwise>
                  <tr>
				  <td></td>
                  <td class="menu" style="padding-top: 8px;padding-bottom: 8px; padding-left: 8px;padding-right: 8px;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				  <td colspan="2"><img src="images/bullet.gif"/></td>
				   <td></td>
				  </tr>
            </xsl:otherwise>
	    </xsl:choose>
  		<xsl:if test="position()!=last()">
               <tr>
                  <td> </td>
                  <td colspan="3"><div style="height:1px; background-color: #E3E3E3; background-repeat: repeat-x;"><span></span></div></td>
                  <td></td>
                </tr>
          
  		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
